On Mon, Nov 10, 2008 at 4:33 PM, Chen, Peter wrote:
> Results of httpd -l:
>
> Compiled in modules:
> core.c
> prefork.c
> http_core.c
> mod_so.c


Ok, so everything is loaded as shared objects.

> not ok 4
> # Failed test 4 in t/hooks/authz.t at line 19
> rc was $VAR1 = bless( {
> '_protocol' => 'HTTP/1.1',
> '_content' => '1..1
> # Running under perl version 5.008008 for solaris
> # Current time local: Mon Nov 10 16:31:51 2008
> # Current time GMT: Tue Nov 11 00:31:51 2008
> # Using Test.pm version 1.25
> # Using Apache/Test.pm version 1.31
> ok 1
> ',
> '_rc' => '200',


And basic auth is failing. If you don't have any 'require user'
directives in your httpd.conf, you shouldn't have anything to worry
about. Interesting test failure though, I wonder if there is a
problem with basic auth in Apache 2.2.10.

If you do need basic auth I would suggest trying apache 2.2.9 or 2.2.8.